#
# spec file for package traceroute
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           traceroute
Version:        2.0.19 
Release:        6.3
Summary:        A new modern implementation of traceroute(8) utility for Linux systems
License:        GPL-2.0+
Group:          Productivity/Networking/Other   
Url:            http://traceroute.sourceforge.net/
Source:         %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Patch:          traceroute-autotools.patch
BuildRequires:  libtool
Provides:       net-tools:%{_sbindir}/%{name}

%description
Traceroute tracks the route packets taken from an IP network on their way to a given host.
It utilizes the IP protocol's time to live (TTL) field and attempts to elicit an ICMP TIME_EXCEEDED 
response from each gateway along the path to the host. 

%prep
%setup -q
%patch

%build
export LDFLAGS="-Wl,-z,relro,-z,now"
autoreconf -fiv
%configure
make %{?_smp_mflags}

%install
%make_install
ln -sf %{_sbindir}/%{name} %{buildroot}%{_sbindir}/%{name}6
ln -s %{_mandir}/man8/traceroute.8 %{buildroot}%{_mandir}/man8/traceroute6.8

%files
%defattr(-,root,root)
%doc ChangeLog README COPYING
%{_sbindir}/%{name}
%{_sbindir}/%{name}6
%{_mandir}/man8/traceroute*.8*

%changelog
* Thu Mar  7 2013 crrodriguez@opensuse.org
- The previous incarnation of traceroute had a traceroute6
  binary, provide a compatibility symlink for it.
- Build with full RELRO.
* Sun Jan 27 2013 crrodriguez@opensuse.org
- Initial version. obsoletes the version found in package net-tools
- This is the implementation used by the rest of the planet, not
  the one found in SUSE but Fedora, RHEL, Debian, Mandriva, Gentoo, Ubuntu.
